=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# do not run testOpenGLInfoSource during builds
export KUSERFEEBACK_SKIP_TESTOPENGLINFOSOURCE=1

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_auto_configure:
	dh_auto_configure -- -DENABLE_DOCS=OFF -DENABLE_CONSOLE=OFF -DENABLE_CLI=OFF -DQT_MAJOR_VERSION=5

override_dh_auto_test:
	xvfb-run dh_auto_test --no-parallel
